summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobert Buchholz <rbu@gentoo.org>2007-05-12 11:24:49 +0000
committerRobert Buchholz <rbu@gentoo.org>2007-05-12 11:24:49 +0000
commite2e7a692fe5fe877eb4691e7ffb74ebb6c99397b (patch)
tree21997dc20e1e26c0cd5d8b5e7a691ed8de4a2476 /app-misc/lcd-stuff/files
parentVersion bump (diff)
downloadgentoo-2-e2e7a692fe5fe877eb4691e7ffb74ebb6c99397b.tar.gz
gentoo-2-e2e7a692fe5fe877eb4691e7ffb74ebb6c99397b.tar.bz2
gentoo-2-e2e7a692fe5fe877eb4691e7ffb74ebb6c99397b.zip
Revision bump fixing the libmpd issue (thanks ticho and tove, bug #177587) and init-script/pid (bug #177184)
(Portage version: 2.1.2.2)
Diffstat (limited to 'app-misc/lcd-stuff/files')
-rw-r--r--app-misc/lcd-stuff/files/digest-lcd-stuff-0.1.2-r13
-rw-r--r--app-misc/lcd-stuff/files/lcd-stuff-0.1.2-mpd.patch23
-rw-r--r--app-misc/lcd-stuff/files/lcd-stuff-0.1.2-r1.initd24
-rw-r--r--app-misc/lcd-stuff/files/lcd-stuff-0.1.2.initd (renamed from app-misc/lcd-stuff/files/lcd-stuff.initd)2
4 files changed, 51 insertions, 1 deletions
diff --git a/app-misc/lcd-stuff/files/digest-lcd-stuff-0.1.2-r1 b/app-misc/lcd-stuff/files/digest-lcd-stuff-0.1.2-r1
new file mode 100644
index 000000000000..372e7687a209
--- /dev/null
+++ b/app-misc/lcd-stuff/files/digest-lcd-stuff-0.1.2-r1
@@ -0,0 +1,3 @@
+MD5 9444884954c9dd64f573da7b152f2d7f lcd-stuff-0.1.2.tar.bz2 117031
+RMD160 91b464463f5adfe9d8609facb3d1190625011107 lcd-stuff-0.1.2.tar.bz2 117031
+SHA256 793c1de326f0f0124bb586f2e183435aef9d6cf808fa11f9c84bcd3c67df5aae lcd-stuff-0.1.2.tar.bz2 117031
diff --git a/app-misc/lcd-stuff/files/lcd-stuff-0.1.2-mpd.patch b/app-misc/lcd-stuff/files/lcd-stuff-0.1.2-mpd.patch
new file mode 100644
index 000000000000..f8f5cdb9ea36
--- /dev/null
+++ b/app-misc/lcd-stuff/files/lcd-stuff-0.1.2-mpd.patch
@@ -0,0 +1,23 @@
+Patch by Andrej Kacian <ticho@gentoo.org> from bug #177587
+
+
+diff -ur lcd-stuff-0.1.2-orig/src/mpd.c lcd-stuff-0.1.2/src/mpd.c
+--- lcd-stuff-0.1.2-orig/src/mpd.c 2007-05-10 23:26:55.000000000 +0200
++++ lcd-stuff-0.1.2/src/mpd.c 2007-05-10 23:27:59.000000000 +0200
+@@ -119,14 +119,13 @@
+ case MPD_DATA_TYPE_PLAYLIST:
+ g_ptr_array_add(array, g_path_get_basename(data->playlist));
+ g_free(data->playlist);
++ data->playlist = NULL;
+ break;
+
+ case MPD_DATA_TYPE_DIRECTORY:
+- g_free(data->directory);
+- break;
+-
+ case MPD_INFO_ENTITY_TYPE_SONG:
+ g_free(data->directory);
++ data->directory = NULL;
+ break;
+
+ default:
diff --git a/app-misc/lcd-stuff/files/lcd-stuff-0.1.2-r1.initd b/app-misc/lcd-stuff/files/lcd-stuff-0.1.2-r1.initd
new file mode 100644
index 000000000000..ed7c264fea44
--- /dev/null
+++ b/app-misc/lcd-stuff/files/lcd-stuff-0.1.2-r1.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/lcd-stuff/files/lcd-stuff-0.1.2-r1.initd,v 1.1 2007/05/12 11:24:49 rbu Exp $
+
+PIDFILE=/var/run/${SVCNAME}.pid
+
+depend() {
+ use LCDd
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+
+ start-stop-daemon --start --background --pidfile ${PIDFILE} --make-pidfile --exec \
+ /usr/bin/lcd-stuff -- -f 1 -s 1 -r "${REPORTLEVEL}" -a "${ADDRESS}" -p "${TCPPORT}" -c "${CONFIGFILE}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stoping ${SVCNAME}"
+ start-stop-daemon --stop --pidfile ${PIDFILE} --name "lcd-stuff"
+ eend $?
+}
diff --git a/app-misc/lcd-stuff/files/lcd-stuff.initd b/app-misc/lcd-stuff/files/lcd-stuff-0.1.2.initd
index 1d312babc097..eef3ff3f43e7 100644
--- a/app-misc/lcd-stuff/files/lcd-stuff.initd
+++ b/app-misc/lcd-stuff/files/lcd-stuff-0.1.2.initd
@@ -1,7 +1,7 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/lcd-stuff/files/lcd-stuff.initd,v 1.1 2007/01/13 15:05:37 rbu Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/lcd-stuff/files/lcd-stuff-0.1.2.initd,v 1.1 2007/05/12 11:24:49 rbu Exp $
PIDFILE=/var/run/${SVCNAME}.pid